//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-dependency-management-plugin/src/main/groovy/org/openscm/kundo/plugins/LoadDependenciesDelegate.groovy
//

package org.openscm.kundo.plugins;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;

/**
 * Load Dependencies Delegate
 *
 * @author <a href="mailto:ben.leedham@upco.co.uk">Ben Leedham</a>
 * @version 1.0.0

Description: Delegate to create scoped paths from the dependencies of a project
specified in a maven pom file.

<p>The load dependencies delegate reads dependency information from a maven pom file at a location set by
the kundo-project-plugin. Using that information it generates a separate path for each scope support by the
Maven Ant Tasks (currently: compile,runtime,test,provided ). It the sets that path reference in the ant
project with the name of the artifact being built suffixed with the scope and .classpath. This can then be
retrieved at any time using the Build Context.</p>
 */
public class LoadDependenciesDelegate
    extends AbstractDependenciesDelegate
{
    private LoadDependenciesDelegate(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public LoadDependenciesDelegate(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * delegate implementation method to be called by doExecute
     */
    public void doLoadDependencies() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Concrete implementation of the AbstractPluginTargetDelegate.execute() method
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
